library(shiny)

# Exercise 2 - solution to part 2 of question

# 1 a. add another plot showing x^3, make this use the x values from the slider
#   b. Use the fluidRow layout to put the 2 plots in the same row 
#   
# 2  Make an alternative version using a different layout
#   a. Copy the app to a new folder and 
#   b. Use sidebarLayout and put the slider in a sidebar panel
#   c. Put the plots in the main panel
#   d. Add a tabset panel within the main panel and put each plot in a tab
#   e. Make the plots square (ish) - use height and and width arguments in the plotOutput function

ui <- fluidPage(

    titlePanel("Exercise 2"),
    br(),

    sidebarLayout(
        
        sidebarPanel(
            sliderInput("slider_x_range",
                "Select range for x",
                min = -100,
                max = 100,
                value = c(-10,10))
            ),
                
        mainPanel(
            tabsetPanel(
                tabPanel("x squared", plotOutput("x_squared", width = 400, height = 400)),
                tabPanel("x cubed", plotOutput("x_cubed", width = 400, height = 400))
            )
        )
    )    
)


server <- function(input, output) {

    output$x_squared <- renderPlot({

        x <- input$slider_x_range[1]:input$slider_x_range[2]

        plot(x^2, type = "l")
    })
    
    output$x_cubed <- renderPlot({
        
        x <- input$slider_x_range[1]:input$slider_x_range[2]
        
        plot(x^3, type = "l")
    })
}

# Run the application 
shinyApp(ui = ui, server = server)
